Bug 1148382 - Changing language for the first time with “gnome-control-center region” behaves weirdly
Summary: Changing language for the first time with “gnome-control-center region” behav...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1164758 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 10:37 UTC by Mike FABIAN
Modified: 2017-12-12 10:14 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:14:54 UTC
Type: Bug


Attachments (Terms of Use)
changing-language-for-the-first-time-with-gnome-control-center.png (775.77 KB, image/png)
2014-10-01 10:37 UTC, Mike FABIAN
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 753828 0 None None None Never

Description Mike FABIAN 2014-10-01 10:37:34 UTC
Created attachment 943011 [details]
changing-language-for-the-first-time-with-gnome-control-center.png

I installed Fedora-Live-Workstation-x86_64-21_Alpha-1.iso in qemu using:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 2 -drive file=./Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2-output.log -name Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2 -cdrom /local/mfabian/iso/f21-Alpha/Fedora-Live-Workstation-x86_64-21_Alpha-1.iso -boot c -spice port=6000,disable-ticketing,streaming-video=off -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2,hostfwd=tcp::5555-:22 -monitor stdio -usb

• I did the installation in Japanese.

• After the installation, one can see that
  /etc/locale.conf contains “LANG=ja_JP.UTF-8”.
  (Top left screenshot of the attached
  changing-language-for-the-first-time-with-gnome-control-center.png)


• Now  I opened “gnome-control-center” and
  went to the regional settings.

  - It shows:
    言語 (language)       English (United States)
    フォーマット (format)  United States (English)
    (Top center of the attached
    changing-language-for-the-first-time-with-gnome-control-center.png)

    *Bug here*: Why not Japanese? Why doesn’t this check the current settings?

  - Now I select Deutsch (German)
    (Top right of the attached
    changing-language-for-the-first-time-with-gnome-control-center.png)

  - And close the dialog with 完了 (completion)

  - Now “gnome-control-center region” shows
    言語 (language)       Deutsch (Deutschland)
    フォーマット (format)  Deutschland (Deutsch)

    *Bug here*: checking /etc/locale.conf reveals that it contains:

        LANG=de_DE.utf8
        LC_NUMERIC=ja_JP.UTF-8
        LC_TIME=ja_JP.UTF-8
        LC_MONETARY=ja_JP.UTF-8
        LC_PAPER=ja_JP.UTF-8
        LC_MEASUREMENT=ja_JP.UTF-8

    I.e. LANG has been changed to German but several LC_* variables
    are suddenly Japanese‽ Although
        フォーマット (format)  Deutschland (Deutsch)
    is displayed in “gnome-control-center region”
    
    (Bottom left of the attached
    changing-language-for-the-first-time-with-gnome-control-center.png)

  - gnome suggests to restart to apply the settings, I click
    on “Jetzt neustarten” (restart now)

  - It shows a logout screen:
    (Bottom center of the attached
    changing-language-for-the-first-time-with-gnome-control-center.png)

  - After logging in again, one can see that the language
    has changed to German but the formats are still Japanese.
    See the “木 11:58” in the center of the gnome panel

    (Bottom right of the attached
    changing-language-for-the-first-time-with-gnome-control-center.png)

Comment 1 Mike FABIAN 2014-10-01 10:51:39 UTC
When one changes the language again to something else with the
gnome-control-center, the problem remains.

But as soon as one manually changes the “formats” with the
gnome-control-center once, the problem goes away.

From then on, the language and the formats are displayed
correctly in “gnome-control-center region” (i.e. agreeing
with the contents of /etc/locale.conf) and /etc/locale.conf
is changed correctly.

Comment 2 Jens Petersen 2014-10-06 05:53:20 UTC
I am slightly confused.  User language config should not necessarily change
the system locale I think?

Comment 3 Mike FABIAN 2014-10-06 16:17:50 UTC
(In reply to Jens Petersen from comment #2)
> I am slightly confused.  User language config should not necessarily change
> the system locale I think?

Gnome changes the system language as described in comment#0
only if the user is in the group wheel.
(Just tried on dora-Workstation-netinst-x86_64-21_Beta_TC1.iso).

Comment 4 Noriko Mizumoto 2014-11-26 08:53:32 UTC
*** Bug 1164758 has been marked as a duplicate of this bug. ***

Comment 5 Noriko Mizumoto 2014-11-26 08:55:22 UTC
Ping, anyone there, please?
This bug sounds serious to Japanese speaking user.

Comment 6 Mike FABIAN 2014-11-26 09:22:10 UTC
The bug still exists in Fedora-Live-Workstation-x86_64-22-TC4.iso.

Comment 7 Mike FABIAN 2015-04-20 15:07:26 UTC
(In reply to Mike FABIAN from comment #0)
> Created attachment 943011 [details]
> changing-language-for-the-first-time-with-gnome-control-center.png
> 
> I installed Fedora-Live-Workstation-x86_64-21_Alpha-1.iso in qemu using:

Now I tried again with Fedora-Live-Workstation-x86_64-22_Beta-3.iso :

nice ionice -c 3 qemu-kvm -machine pc-1.3 -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 2 -drive file=./Fedora-Live-Workstation-x86_64-22_Beta-3.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Live-Workstation-x86_64-22_Beta-3.iso.qcow2-output.log -name Fedora-Live-Workstation-x86_64-22_Beta-3.iso.qcow2 -cdrom /local/mfabian/iso/f22-Beta-RC3/Fedora-Live-Workstation-x86_64-22_Beta-3.iso -boot c -spice port=6000,disable-ticketing,streaming-video=off -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-Live-Workstation-x86_64-22_Beta-3.iso.qcow2,hostfwd=tcp::5560-:22 -monitor stdio -usb

> • I did the installation in Japanese.
> 
> • After the installation, one can see that
>   /etc/locale.conf contains “LANG=ja_JP.UTF-8”.

Same.

> • Now  I opened “gnome-control-center” and
>   went to the regional settings.
> 
>   - It shows:
>     言語 (language)       English (United States)
>     フォーマット (format)  United States (English)

Same.

>     *Bug here*: Why not Japanese? Why doesn’t this check the current
> settings?
> 
>   - Now I select Deutsch (German)
> 
>   - And close the dialog with 完了 (completion)
> 
>   - Now “gnome-control-center region” shows
>     言語 (language)       Deutsch (Deutschland)
>     フォーマット (format)  Deutschland (Deutsch)

Same.

>     *Bug here*: checking /etc/locale.conf reveals that it contains:
> 
>         LANG=de_DE.utf8
>         LC_NUMERIC=ja_JP.UTF-8
>         LC_TIME=ja_JP.UTF-8
>         LC_MONETARY=ja_JP.UTF-8
>         LC_PAPER=ja_JP.UTF-8
>         LC_MEASUREMENT=ja_JP.UTF-8

Same.

>     I.e. LANG has been changed to German but several LC_* variables
>     are suddenly Japanese‽ Although
>         フォーマット (format)  Deutschland (Deutsch)
>     is displayed in “gnome-control-center region”

Same.

>   - gnome suggests to restart to apply the settings, I click
>     on “Jetzt neustarten” (restart now)
> 
>   - It shows a logout screen:
>     (Bottom center of the attached
>     changing-language-for-the-first-time-with-gnome-control-center.png)
> 
>   - After logging in again, one can see that the language
>     has changed to German but the formats are still Japanese.
>     See the “木 11:58” in the center of the gnome panel

Now I see “Mo 16:51” in the center of the gnome panel, i.e. the formats
are correct now in Gnome. *But*,  /etc/locale.conf has contents now
which do not fit to the locale environment variables used by Gnome now:

“locale” in a gnome-terminal shows:

    LANG=de_DE.UTF-8
    LC_CTYPE="de_DE.UTF-8"
    LC_NUMERIC="de_DE.UTF-8"
    LC_TIME="de_DE.UTF-8"
    LC_COLLATE="de_DE.UTF-8"
    LC_MONETARY="de_DE.UTF-8"
    LC_MESSAGES="de_DE.UTF-8"
    LC_PAPER="de_DE.UTF-8"
    LC_NAME="de_DE.UTF-8"
    LC_ADDRESS="de_DE.UTF-8"
    LC_TELEPHONE="de_DE.UTF-8"
    LC_MEASUREMENT="de_DE.UTF-8"
    LC_IDENTIFICATION="de_DE.UTF-8"
    LC_ALL=

But:

    [mfabian@Fedora-Live-Workstation-x86_64-2 LC_MESSAGES]$ cat /etc/locale.conf
    LANG=de_DE.UTF-8
    LC_NUMERIC=ja_JP.UTF-8
    LC_TIME=ja_JP.UTF-8
    LC_MONETARY=ja_JP.UTF-8
    LC_PAPER=ja_JP.UTF-8
    LC_MEASUREMENT=ja_JP.UTF-8
    [mfabian@Fedora-Live-Workstation-x86_64-2 LC_MESSAGES]$

Now I open the gnome-control-center again and change the formats to Spanish,
and click on the “restart now” button again.
Now everything is correct, “locale” in a gnome terminal shows:

    LANG=de_DE.UTF-8
    LC_CTYPE="de_DE.UTF-8"
    LC_NUMERIC=es_ES.UTF-8
    LC_TIME=es_ES.UTF-8
    LC_COLLATE="de_DE.UTF-8"
    LC_MONETARY="de_DE.UTF-8"
    LC_MESSAGES="de_DE.UTF-8"
    LC_PAPER=es_ES.UTF-8
    LC_NAME="de_DE.UTF-8"
    LC_ADDRESS="de_DE.UTF-8"
    LC_TELEPHONE="de_DE.UTF-8"
    LC_MEASUREMENT=es_ES.UTF-8
    LC_IDENTIFICATION="de_DE.UTF-8"
    LC_ALL=

and 

    [mfabian@Fedora-Live-Workstation-x86_64-2 ~]$ cat /etc/locale.conf
    LANG=de_DE.UTF-8
    LC_NUMERIC=es_ES.UTF-8
    LC_TIME=es_ES.UTF-8
    LC_MONETARY=es_ES.UTF-8
    LC_PAPER=es_ES.UTF-8
    LC_MEASUREMENT=es_ES.UTF-8
    [mfabian@Fedora-Live-Workstation-x86_64-2 ~]$

I.e. it better now then before but some weirdness remains.

Comment 8 Mike FABIAN 2015-05-27 06:19:33 UTC
In the final release of Fedora 22,
the problem described in comment#7 is unchanged.

Comment 9 Nate Guerin 2015-08-10 12:10:44 UTC
@Mike Fabian, this looks like an interesting bug.  Has any work been done on it and any suggestions where I'd start digging for trying to fix it?

Comment 10 Mike FABIAN 2015-08-19 06:46:42 UTC
No work has been done so far, it still behaves the same way.

Comment 11 Akira TAGOH 2015-09-01 05:23:00 UTC
Similar issue still presents on f23 beta TC1.

Even if selecting non-US locales on anaconda and it looks applied properly after starting desktop, region & language on gnome-control-center says "English (United States)" and so on for language and format. after changing it again there, it's gone though.

Comment 12 Fedora End Of Life 2015-11-04 10:40:12 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Pravin Satpute 2015-11-25 13:47:20 UTC
moving to F23 based on #11

Comment 14 Fedora End Of Life 2017-11-16 18:56:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:14:54 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.